Package org.codehaus.groovy.runtime.metaclass

# Class DefaultMetaClassInfo

java.lang.Object
org.codehaus.groovy.runtime.metaclass.DefaultMetaClassInfo

    public class DefaultMetaClassInfo
    extends java.lang.Object

WARNING: This class is for internal use only! We use this class to store information about if a default MetaClass is used for certain primitives.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `DefaultMetaClassInfo.ConstantMetaClassVersioning` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DefaultMetaClassInfo()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static boolean` | `disabledStandardMetaClass()` |
  `static DefaultMetaClassInfo.ConstantMetaClassVersioning` | `getCurrentConstantMetaClassVersioning()` |
  `static DefaultMetaClassInfo.ConstantMetaClassVersioning` | `getNewConstantMetaClassVersioning()` |
  `static boolean` | `isOrigBool()` |
  `static boolean` | `isOrigByte()` |
  `static boolean` | `isOrigChar()` |
  `static boolean` | `isOrigDouble()` |
  `static boolean` | `isOrigFloat()` |
  `static boolean` | `isOrigInt()` |
  `static boolean` | `isOrigIntArray()` |
  `static boolean` | `isOrigLong()` |
  `static boolean` | `isOrigShort()` |
  `static void` | `setCategoryUsed​(boolean b)` |
  `static void` | `setOrigBool​(boolean v)` | sets if the original boolean meta class is used
  `static void` | `setOrigByte​(boolean v)` | sets if the original byte meta class is used
  `static void` | `setOrigChar​(boolean v)` | sets if the original char meta class is used
  `static void` | `setOrigDouble​(boolean v)` | sets if the original double meta class is used
  `static void` | `setOrigFloat​(boolean v)` | sets if the original float meta class is used
  `static void` | `setOrigInt​(boolean v)` | sets if the original int meta class is used
  `static void` | `setOrigIntArray​(boolean v)` | sets if the original int array meta class is used
  `static void` | `setOrigLong​(boolean v)` | sets if the original long meta class is used
  `static void` | `setOrigShort​(boolean v)` | sets if the original short meta class is used
  `static void` | `setPrimitiveMeta​(java.lang.Class c, boolean orig)` |
  `static void` | `setWithoutCustomMetaclassCreationHandle​(boolean mch)` | sets if the system uses a custom meta class creation handle

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultMetaClassInfo

    public DefaultMetaClassInfo()

- ## Method Details

  - ### isOrigBool

    public static boolean isOrigBool()
    Returns:
      true if no meta class creation handle is set and if the original boolean meta class is used.

  - ### setOrigBool

    public static void setOrigBool​(boolean v)
    sets if the original boolean meta class is used

  - ### isOrigByte

    public static boolean isOrigByte()
    Returns:
      true if no meta class creation handle is set and if the original byte meta class is used.

  - ### setOrigByte

    public static void setOrigByte​(boolean v)
    sets if the original byte meta class is used

  - ### isOrigChar

    public static boolean isOrigChar()
    Returns:
      true if no meta class creation handle is set and if the original char meta class is used.

  - ### setOrigChar

    public static void setOrigChar​(boolean v)
    sets if the original char meta class is used

  - ### isOrigShort

    public static boolean isOrigShort()
    Returns:
      true if no meta class creation handle is set and if the original short meta class is used.

  - ### setOrigShort

    public static void setOrigShort​(boolean v)
    sets if the original short meta class is used

  - ### isOrigInt

    public static boolean isOrigInt()
    Returns:
      true if no meta class creation handle is set and if the original integer meta class is used.

  - ### setOrigInt

    public static void setOrigInt​(boolean v)
    sets if the original int meta class is used

  - ### isOrigIntArray

    public static boolean isOrigIntArray()
    Returns:
      true if no meta class creation handle is set and if the original integer array meta class is used.

  - ### setOrigIntArray

    public static void setOrigIntArray​(boolean v)
    sets if the original int array meta class is used

  - ### isOrigLong

    public static boolean isOrigLong()
    Returns:
      true if no meta class creation handle is set and if the original long meta class is used.

  - ### setOrigLong

    public static void setOrigLong​(boolean v)
    sets if the original long meta class is used

  - ### isOrigFloat

    public static boolean isOrigFloat()
    Returns:
      true if no meta class creation handle is set and if the original float meta class is used.

  - ### setOrigFloat

    public static void setOrigFloat​(boolean v)
    sets if the original float meta class is used

  - ### isOrigDouble

    public static boolean isOrigDouble()
    Returns:
      true if no meta class creation handle is set and if the original double meta class is used.

  - ### setOrigDouble

    public static void setOrigDouble​(boolean v)
    sets if the original double meta class is used

  - ### setWithoutCustomMetaclassCreationHandle

    public static void setWithoutCustomMetaclassCreationHandle​(boolean mch)
    sets if the system uses a custom meta class creation handle

  - ### setCategoryUsed

    public static void setCategoryUsed​(boolean b)

  - ### disabledStandardMetaClass

    public static boolean disabledStandardMetaClass()

  - ### setPrimitiveMeta

    public static void setPrimitiveMeta​(java.lang.Class c, boolean orig)

  - ### getCurrentConstantMetaClassVersioning

    public static DefaultMetaClassInfo.ConstantMetaClassVersioning getCurrentConstantMetaClassVersioning()

  - ### getNewConstantMetaClassVersioning

    public static DefaultMetaClassInfo.ConstantMetaClassVersioning getNewConstantMetaClassVersioning()